@echo off

REM
REM Configure all of VBooking for WAS and DB2
REM

echo *** VBooking RIT Integration Script ***
echo.
SET SCRIPT_ROOT_PATH=%~dp0
SET CURRENT_PATH=%cd%
echo Script executed from %SCRIPT_ROOT_PATH%

cd vbooking\scripts\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf RTCP_URL
call Utils.bat readConf OPTS_FOLDER


REM Ensure we're in script folder
cd "%SCRIPT_ROOT_PATH%"

call vbooking\scripts\install\Utils.bat checkAdmin isAdmin
echo|set /p=Checking for administrative permissions...
if %isAdmin% == N (
	echo Not Found.
	echo This script must be executed as administrator. Right click on script and choose 'Run as administrator'
	goto:theEnd
) else ( 
	echo Confirmed.
)

REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

echo Checking prerequisites...
call vbooking\scripts\install\VBooking-prereqs > "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-prereqs.log"
if NOT %errorlevel% EQU 0 (
	echo Prerequisite check failed. See VBooking-prereqs.log for more details."
	goto:theEnd
)
echo prerequisites OK
REM ensure path reverts to script location
CD "%SCRIPT_ROOT_PATH%"

echo. > VBooking-RIT-integrations.log

echo Pre-extracting files
call vbooking\scripts\RIT-integration\Tools-Extract.bat >> "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-RIT-integration.log"


cd %UTILS_PATH%
call Utils.bat readConfYN CONFIGURE_VBOOKING_MQ_QUEUES N %confFileNameOnly%
cd %SCRIPT_ROOT_PATH%

IF %CONFIGURE_VBOOKING_MQ_QUEUES% EQU Y (
	echo WebSphere MQ: Installing RIT MQ exit
	call vbooking\scripts\RIT-integration\MQ-Exit-Install-64.bat >> "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-RIT-integration.log"
	echo RIT MQ Exit installed
)


cd %UTILS_PATH%
call Utils.bat readConfYN INSTALL_TOMCAT N %confFileNameOnly%
cd %SCRIPT_ROOT_PATH%

if %INSTALL_TOMCAT% EQU Y (
	echo Tomcat: Installing RIT JDBC driver
	REM Need to figure out how to avoid Tomcat tying up the log files when restarted...
    call vbooking\scripts\RIT-integration\Tomcat-JDBC-Install.bat 
	
	echo Tomcat: Installing RIT HTTP proxy
	call vbooking\scripts\RIT-integration\Tomcat-Proxy-Install.bat 
	
	echo Tomcat: Installing RIT Java agent
	call vbooking\scripts\RIT-integration\Tomcat-JavaVirt-Install.bat
	
)

cd %UTILS_PATH%
call Utils.bat readConfYN INSTALL_VBOOKING_WAS_SERVER N %confFileNameOnly%
cd %SCRIPT_ROOT_PATH%

if %INSTALL_VBOOKING_WAS_SERVER% EQU Y (
	echo WebSphere Application Server: Installing RIT HTTP proxy
	call vbooking\scripts\RIT-integration\WAS-Proxy-Install.bat >> "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-RIT-integration.log"
	
	call "%PATH_WAS_HOME%\profiles\%NAME_WAS_INSTANCE%\bin\wsadmin.bat" -lang jython -f "%TOOLS_PATH%\Java\JDBC\WebSphere\setupJDBCProvider.py" "%TOOLS_PATH%\Java\JDBC"
)
REM ensure path reverts to script location
cd %UTILS_PATH%
call Utils.bat readConfYN INSTALL_VBOOKING_STANDALONE_APPS N %confFileNameOnly%
cd %SCRIPT_ROOT_PATH%

if %INSTALL_VBOOKING_STANDALONE_APPS% EQU Y (
	echo Flight Confiration Server: Installing RIT Java agent
	call vbooking\scripts\RIT-integration\JavaVirt-Install.bat >> "%SCRIPT_ROOT_PATH%\InstallLogs\VBooking-RIT-integration.log"
)





:theEnd
REM Revert to original path
cd "%CURRENT_PATH%"
