#!/bin/bash
#
# Check pre-reqs
#

THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

# Assume that everything is OK until we find something that contradicts that
EXIT_CODE=0

echo -ne "RTCP and tools available... "
if [ ! -d $TOOLS_PATH ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "Tomcat available... "
if [ ! -d $TOMCAT_PATH ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "IBM DB2 available... "
if [ ! -x /usr/local/bin/db2ls ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "IBM WebSphere MQ available... "
if [ ! -d $PATH_MQ_BINARY ]; then
	EXIT_CODE=1
	echo "No."
else
	echo "Yes."
fi

echo -ne "IBM WebSphere Application Server available... "
if [ ! -d $PATH_WAS_HOME ]; then
	EXIT_CODE=1
	echo "No."
	echo "WebSphere Application Server profile $NAME_WAS_INSTANCE found... No."
else
	echo "Yes."
	echo -ne "WebSphere Application Server profile $NAME_WAS_INSTANCE found... "
	if [ ! -d $PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE ]; then
		EXIT_CODE=1
		echo "No."
	else
		echo "Yes."
	fi
fi

if [ $EXIT_CODE -ne 0 ]; then
	echo "Errors were found when checking Vacation Booking prerequisites."
	echo "Check that the file installer-variables-linux.conf has been filled out correctly."
fi
	
exit $EXIT_CODE
