@echo off
rem 
rem Setup JDBC driver for standalone servers
rem

echo Installing and configuring JDBC driver for standalone servers...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf OPTS_FOLDER

echo Please manually stop the currency server before proceeding. Press any key if currency server is already stopped>con
timeout 30

echo "Copying files"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.jar "%OPTS_FOLDER%\currency"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.xml "%OPTS_FOLDER%\currency"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.jar "%OPTS_FOLDER%\availableSeats"
copy /Y "%TOOLS_PATH%"\Java\JDBC\*.xml "%OPTS_FOLDER%\availableSeats"

echo Updating startup script

cscript "%UTILS_PATH%"\Utils.vbs ReplaceTokenWithQuotes "%OPTS_FOLDER%"\currency\currency.bat "rem ~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.greenhat" "~c:\program files (x86)\ibm\java70\bin\java~ -Djdbc.drivers=com.greenhat"

cscript "%UTILS_PATH%"\Utils.vbs ReplaceTokenWithQuotes "%OPTS_FOLDER%"\currency\currency.bat "~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.ibm" "rem ~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.ibm"

cscript "%UTILS_PATH%"\Utils.vbs ReplaceTokenWithQuotes "%OPTS_FOLDER%"\availableSeats\availableSeatsServer.bat "rem ~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.greenhat" "~c:\program files (x86)\ibm\java70\bin\java~ -Djdbc.drivers=com.greenhat"

cscript "%UTILS_PATH%"\Utils.vbs ReplaceTokenWithQuotes "%OPTS_FOLDER%"\availableSeats\availableSeatsServer.bat "~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.ibm" "rem ~c:\program files (x86)\ibm\java70\bin\java~  -Djdbc.drivers=com.ibm"


cscript "%UTILS_PATH%"\Utils.vbs InsertWithQuotes "%OPTS_FOLDER%"\currency\registration.xml "<logger level=~warn~/>" "<identifier name=~currencyServer~/>"

cscript "%UTILS_PATH%"\Utils.vbs InsertWithQuotes "%OPTS_FOLDER%"\availableSeats\registration.xml "<logger level=~warn~/>" "<identifier name=~availableSeatsServer~/>"

echo Starting Currency Server
cd "%OPTS_FOLDER%"\currency\
start currency.bat
echo Starting AvailableSeats Server
cd "%OPTS_FOLDER%"\availableSeats\
start availableSeatsServer.bat


echo JDBC driver installed.

cd %CURRENT_PATH%