#!/bin/bash
#
# Setup the JDBC driver for standalone servers.
#

echo "Installing and configuring JDBC driver for standalone servers...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Stopping servers"
service vbcurrency stop
service vbseats stop

echo "Copying files"
cp $TOOLS_PATH/Java/JDBC/*.jar /opt/vbooking/currency/
cp $TOOLS_PATH/Java/JDBC/*.xml /opt/vbooking/currency/
cp $TOOLS_PATH/Java/JDBC/*.jar /opt/vbooking/availableSeats/
cp $TOOLS_PATH/Java/JDBC/*.xml /opt/vbooking/availableSeats/

echo "Updating startup script"
sed -i.bak s/\#java\ -Djdbc\.drivers=com\.greenhat/java\ -Djdbc\.drivers=com\.greenhat/g /opt/vbooking/currency/currency.sh
sed -i.bak s/java\ -Djdbc\.drivers=com\.ibm/\#java\ -Djdbc\.drivers=com\.ibm/g /opt/vbooking/currency/currency.sh
sed -i.bak s/\#java\ -Djdbc\.drivers=com\.greenhat/java\ -Djdbc\.drivers=com\.greenhat/g /opt/vbooking/availableSeats/availableSeatsServer.sh
sed -i.bak s/java\ -Djdbc\.drivers=com\.ibm/\#java\ -Djdbc\.drivers=com\.ibm/g /opt/vbooking/availableSeats/availableSeatsServer.sh

# Add identifiers to the JDBC drivers:
mv /opt/vbooking/currency/registration.xml /opt/vbooking/currency/registration.xml.backup
cat /opt/vbooking/currency/registration.xml.backup | tr '\n' '\r' | sed -e 's|<!--[^<]*<identifier[^-]*-->|<identifier\ name=\"currencyServer\"\/>|' | tr '\r' '\n' > /opt/vbooking/currency/registration.xml
mv /opt/vbooking/availableSeats/registration.xml /opt/vbooking/availableSeats/registration.xml.backup
cat /opt/vbooking/availableSeats/registration.xml.backup | tr '\n' '\r' | sed -e 's|<!--[^<]*<identifier[^-]*-->|<identifier\ name=\"availableSeatsServer\"\/>|' | tr '\r' '\n' > /opt/vbooking/availableSeats/registration.xml

echo "Starting servers"
service vbcurrency start
service vbseats start

echo "JDBC driver installed for standalone servers."
