@echo off
rem 
rem Setup the JDBC driver for Tomcat.
rem

echo Installing and configuring JDBC driver for Tomcat....

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"

cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER
call Utils.bat readConf RTCP_URL

IF EXIST %TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER% (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

if Not Exist "%tcFolder%" (
	echo Unable to find Tomcat. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
)

cd %tcFolder%\bin
echo Stopping Tomcat.
call shutdown.bat
echo A 30 second timeout is set to allow Tomcat to stop fully. Press any key if you're sure Tomcat has aready stopped.>con
timeout 30

echo Copying files
copy /Y "%TOOLS_PATH%\Java\JDBC\*.jar" "%tcFolder%\lib"
copy /Y "%TOOLS_PATH%\Java\JDBC\*.xml" "%tcFolder%\lib"

cd %tcFolder%\bin
echo Starting Tomcat.
call startup.bat

echo A one minute timeout is set to allow Tomcat to start and extract the WAR files. Press any key if you're sure Tomcat has already started.>con
timeout 60

echo JDBC driver installed for Tomcat.
CD %CURRENT_PATH%