@echo off
rem 
rem Setup Java virtualization for Tomcat
rem

echo Installing and configuring Java agent for Tomcat...

SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ..\install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER

IF EXIST "%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%" (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

if Not Exist "%tcFolder%" (
	echo Unable to find Tomcat. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
)

if Not Exist "%tcFolder%\Agent" (
	mkdir "%tcFolder%\Agent"
)

echo Copying files
copy /Y "%TOOLS_PATH%\Java\Agent\*.jar" "%tcFolder%\Agent"
copy /Y "%TOOLS_PATH%\Java\Agent\*.xml" "%tcFolder%\Agent"

echo Updating Tomcat for JMS virtualization

REM adds line to start of batch file (workaround)
copy "%tcFolder%"\bin\setenv.bat "%tcFolder%"\bin\temp.bat
echo SET JAVA_OPTS=-javaagent:%tcFolder%\agent\greenhat.javaagent.jar=%tcFolder%\agent\registration.xml > "%tcFolder%"\bin\setenv.bat
type "%tcFolder%"\bin\temp.bat >> "%tcFolder%"\bin\setenv.bat
del "%tcFolder%"\bin\temp.bat
REM hacky workaround to windows hating regex
cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%tcFolder%"\bin\setenv.bat "JAVA_OPTS=-Djdbc" "JAVA_OPTS=%%JAVA_OPTS%% -Djdbc"
cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%tcFolder%"\bin\setenv.bat "JAVA_OPTS= -Djdbc" "JAVA_OPTS=%%JAVA_OPTS%% -Djdbc"
cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%tcFolder%"\bin\setenv.bat "JAVA_OPTS=  -Djdbc" "JAVA_OPTS=%%JAVA_OPTS%% -Djdbc"
REM Workaround to windows weird behaviour around string replacement and quotation marks. Will cause "<Loader delegate.." to be repeated if it's there already, but that shouldn't break anything
set string=^"true^"
cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%tcFolder%"\conf\context.xml ^</Context^> ""
echo ^<Loader delegate=%string%/^> >> "%tcFolder%"\conf\context.xml
echo ^</Context^> >> "%tcFolder%"\conf\context.xml

echo Java agent installed.

cd %CURRENT_PATH%

