#!/bin/bash
#
# Setup Java virtualization for Tomcat.
#

echo "Installing and configuring Java agent for Tomcat..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Copying files"
mkdir $TOMCAT_PATH/agent
cp $TOOLS_PATH/Java/Agent/*.jar $TOMCAT_PATH/agent
cp $TOOLS_PATH/Java/Agent/*.xml $TOMCAT_PATH/agent
chown -R tomcat:tomcat $TOMCAT_PATH/agent

echo "Updating Tomcat for JMS virtualization"
sed -i.bak "s|JAVA_OPTS=\"-Djdbc|JAVA_OPTS=\"-javaagent:$TOMCAT_PATH\/agent\/greenhat.javaagent.jar=$TOMCAT_PATH\/agent\/registration.xml\"\nJAVA_OPTS=\"\$JAVA_OPTS -Djdbc|g" $TOMCAT_PATH/bin/setenv.sh

# If using RIT < 8.7.1, the following two lines will need to be uncommented:
# echo -ne "export CLASSPATH=\"$TOMCAT_PATH/webapps/hotelsWS/WEB-INF/lib/activemq-all-5.9.0.jar\"\n" >> $TOMCAT_PATH/bin/setenv.sh
# sed -i.bak "s|<\/Context>|    <Loader delegate=\"true\"\/>\n<\/Context>|g" $TOMCAT_PATH/conf/context.xml

sed -i.bak 's|<!--\ <identifier\ name=\"identifier\"\/>\ -->|<identifier\ name=\"Apache\ Tomcat\"\/>|g' $TOMCAT_PATH/agent/registration.xml

echo "Java agent installed."
