@echo off
rem 
rem Setup the HTTP proxy for Tomcat.
rem

echo Configuring HTTP Proxy for Tomcat....
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER
call Utils.bat readConf HTTP_PROXY_HOST
call Utils.bat readConf HTTP_PROXY_PORT

IF EXIST "%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%" (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

if Not Exist "%tcFolder%" (
	echo Unable to find Tomcat. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
)

cd %TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%\bin
echo Stopping Tomcat.
call shutdown.bat

echo A 30 second timeout is set to allow Tomcat to stop fully. Press any key if you're sure Tomcat has already stopped.>con
timeout 30

cd %UTILS_PATH%

echo Updating setenv.bat
echo JAVA_OPTS=%JAVA_OPTS% -Dhttp.nonProxyHosts= -Dhttp.proxyHost=%HTTP_PROXY_HOST% -Dhttp.proxyPort=%HTTP_PROXY_PORT% >> "%TOMCAT_PATH%"/bin/setenv.sh 


cd %TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%\bin
echo Starting Tomcat.
call startup.bat

echo HTTP Proxy confugured for Tomcat
CD %CURRENT_PATH%