@echo off
rem
rem Extract required tools from the RTCP installation.
rem

echo Extracting RTCP tools...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf TOOLS_PATH
call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER
call Utils.bat readConf RTCP_URL
call Utils.bat readConf OPTS_FOLDER

echo Extracting JDBC driver
cscript "%UTILS_PATH%"\Utils.vbs UnzipIt "%TOOLS_PATH%\Java\JDBC\JDBCIntercept.zip" "%TOOLS_PATH%\Java\JDBC"

echo Extracting Java Agent

cscript "%UTILS_PATH%"\Utils.vbs UnzipIt "%TOOLS_PATH%\Java\Agent\JavaAgent.zip" "%TOOLS_PATH%\Java\Agent"

echo Extracting MQ Exit

cscript "%UTILS_PATH%"\Utils.vbs UnzipIt "%TOOLS_PATH%\IBM\WebSphereMQ\dist\IBMWebSphereMQdist.zip" "%TOOLS_PATH%\IBM\WebSphereMQ\dist"

if NOT "%RTCP_URL%"=="http://localhost:7819/RTCP" (
	echo Updating registration.xml
	cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%TOOLS_PATH%\Java\JDBC\registration.xml" http://localhost:7819/RTCP %RTCP_URL% 
	cscript "%UTILS_PATH%"\Utils.vbs ReplaceToken "%TOOLS_PATH%\Java\Agent\registration.xml" http://localhost:7819/RTCP %RTCP_URL% 
)

echo RTCP tools extracted and pre-configured

cd %CURRENT_PATH%

