#!/bin/bash

echo Dropping Vacation Booking databases from DB2 ...
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

#Find DB2 install location
A=$(/usr/local/bin/db2ls -c | cut -d : -f 1)
DB2_PATH=${A:6}

sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 connect to VBOOKING user $USERNAME_DB2_VBOOKING using $PASSWORD_DB2_VBOOKING
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 CALL SYSPROC.ADMIN_DROP_SCHEMA\(\'$SCHEMA_DB2_VBOOKING\', NULL, \'ERRORSCHEMA\', \'ERRORTABLE\'\)
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 UNQUIESCE DATABASE
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 UNQUIESCE DATABASE
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 CONNECT RESET
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 DROP DATABASE VBOOKING

sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 connect to VBEXRATE user $USERNAME_DB2_VBOOKING using $PASSWORD_DB2_VBOOKING
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 CALL SYSPROC.ADMIN_DROP_SCHEMA\(\'$SCHEMA_DB2_VBOOKING\', NULL, \'ERRORSCHEMA\', \'ERRORTABLE\'\)
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 UNQUIESCE DATABASE
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 UNQUIESCE DATABASE
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 CONNECT RESET
sudo -u $USERNAME_DB2_INSTANCE $DB2_PATH/bin/db2 DROP DATABASE VBEXRATE 

echo Stopping DB2 ...
sudo -u $USERNAME_DB2_INSTANCE /home/$USERNAME_DB2_INSTANCE/sqllib/adm/db2stop

echo Removing DB2 instance $USERNAME_DB2_INSTANCE ...
$DB2_PATH/instance/db2idrop $USERNAME_DB2_INSTANCE

echo Vacation Booking removed from DB2.
