' Flags used when copying from zip file
Const FOF_SILENT = &H4&
Const FOF_NOCONFIRMATION = &H10&
Const FOF_NOERRORUI = &H400&
dim copyFlags: copyFlags = FOF_SILENT + FOF_NOCONFIRMATION + FOF_NOERRORUI

on error resume next
dim util: util = WScript.Arguments(0)

IF util = "CheckCreateFolder" THEN
	dim folderPath: folderPath WScript.Arguments(1)
	on error goto 0
	if folderPath = "" then	
		WScript.echo "Usage: cscript Utils.vbs CheckCreateFolder [folderPath]"
		WScript.quit 1
	else
		if Not Utils_CheckCreateFolder(folderPath) Then
			WScript.echo "Failed to create the folder."
			WScript.quit 1
		end if
	end if
ELSEIF util = "ReplaceToken" THEN
	dim theFile: theFile = WScript.Arguments(1)
	dim theToken: theToken = WScript.Arguments(2)
	dim theReplacement: theReplacement = WScript.Arguments(3)
	on error goto 0

	if theFile = "" then
		WScript.echo "Usage: cscript Utils.vbs ReplaceToken [theFile] [theToken] [theReplacement]"
		WScript.quit 1
	else
		if Not Utils_ReplaceToken(theFile, theToken, theReplacement) Then
			WScript.echo "Failed to replace tokens in the file."
			WScript.quit 1
		End if 
	end if
ELSEIF util = "ReplaceTokenWithQuotes" THEN
	dim theFileQuotes: theFileQuotes = WScript.Arguments(1)
	dim theTokenQuotes: theTokenQuotes = WScript.Arguments(2)
	dim theReplacementQuotes: theReplacementQuotes = WScript.Arguments(3)
	
	if theFile = "!" then
		WScript.echo "Usage: cscript Utils.vbs ReplaceTokenWithQuotes [theFile] [theToken] [theReplacement]"
		WScript.quit 1
	else
		theTokenQuotes = Replace(theTokenQuotes, "~", chr(34))
		theReplacementQuotes = Replace(theReplacementQuotes, "~", chr(34))
		if Not Utils_ReplaceToken(theFileQuotes, theTokenQuotes, theReplacementQuotes) Then
			WScript.echo "Failed to replace tokens in the file."
			WScript.quit 1
		End if 
	end if
ELSEIF util = "UnzipIt" THEN
	dim zipFile: zipFile = WScript.Arguments(1)
	dim targetFolder: targetFolder = WScript.Arguments(2)
	on error goto 0

	' unzip it
	if zipFile = "" then
		WScript.echo "Usage: cscript Utils.vbs UnzipIt [zipFile] [targetFolder]" + chr(13) + chr(10) + "Note: targetFolder is optional."
		WScript.quit 1
	else
		if Not Utils_UnzipIt(zipFile, targetFolder) Then
			WScript.echo "Failed to unzip the file."
			WScript.quit 1
		End if 
	end if
ELSEIF util = "" THEN
	wscript.echo "Unknown util '" & util & "'."
	WScript.quit 1
END IF
on error goto 0

Function Utils_CheckCreateFolder(inFolder)
	dim fso
	dim bTest
	dim theFolder
	dim theType
	
	On Error Resume Next
	set fso = CreateObject("Scripting.FileSystemObject")
	theType = mid(inFolder, 2, 1)
	if theType <> ":"  THEN ' relative path (add UNC ability?)
		inFolder = fso.GetAbsolutePathName(".") + "\" + inFolder
	end if
	
	bTest = fso.FolderExists(inFolder)
	If NOT bTest Then
		theSplitTarget = split(inFolder, "\")
		theFolder = theSplitTarget(0) ' add drive
		for i = lbound(theSplitTarget) + 1 to ubound(theSplitTarget) ' ignore 0 which is drive
			theFolder = theFolder & "\" & theSplitTarget(i)
			bTemp = fso.FolderExists(theFolder)
			if not bTemp Then
				fso.CreateFolder(theFolder)
			end if
		next
	
		Utils_CheckCreateFolder = fso.FolderExists(inFolder)
	else
		Utils_CheckCreateFolder = true
	End If
	set fso = nothing
End Function

Function Utils_UnzipIt(inzipFile, intargetFolder)
	dim fso
    dim objShell
	dim objSource
	dim bRetVal
	dim theType
	
	bRetVal = false ' assume failure
	set fso = CreateObject("Scripting.FileSystemObject")
	
	theType = mid(inzipFile, 2, 1)
	if theType <> ":"  THEN ' relative path (add UNC ability?)
		inzipFile = fso.GetAbsolutePathName(".") + "\" + inzipFile
	end if
	if Utils_CheckCreateFolder(intargetFolder) then
		set objShell = CreateObject( "Shell.Application" )
		set objSource = objShell.NameSpace(inzipFile).items
		objTarget = objShell.NameSpace(intargetFolder).CopyHere(objSource, copyFlags)
		bRetVal = true
	End If
	
	set objSource = nothing
	set objShell = nothing
	set fso = nothing
	Utils_UnzipIt = bRetVal
End Function

Public Function Utils_ReplaceToken(strFile, strOld, strNew)
	dim fso
	dim theFile
	dim strTextInFile
	dim bRetVal
	bRetVal = false ' assume failure
	
	set fso = CreateObject("Scripting.FileSystemObject")
	set theFile = fso.OpenTextFile(strFile, 1)
	strTextInFile = theFile.ReadAll()
	theFile.Close
	set theFile = nothing
	
	strTextInFile = Replace(strTextInFile, strOld, strNew)
	
	set theFile = fso.CreateTextFile(strFile, true)
	theFile.Write strTextInFile
	theFile.Close
	set theFile=nothing
	set fso=nothing
	
	bRetVal = true
	Utils_ReplaceToken = bRetVal
End Function


' Loads external utility scripts for use locally
' After loading simply run functions as if in this file.
' Handy for calling utils in this file, must be copied to 
' script file using it however.
function LoadExternalScript(scriptFile)
	Dim fsObj
	Dim vbsFile
	Dim extFuncs
	
	Set fsObj = CreateObject("Scripting.FileSystemObject")
	Set vbsFile = fsObj.OpenTextFile(scriptFile, 1, False)
	extFuncs = vbsFile.ReadAll
	vbsFile.Close
	Set vbsFile = Nothing
	Set fsObj = Nothing
	
	ExecuteGlobal extFuncs
end function