#!/bin/bash
#
# Script to create a WAS server and configure it for the Vacation Booking app
#
echo "Configuring WAS..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

#Find the DB2 install location
A=$(/usr/local/bin/db2ls -c | cut -d : -f 1)
DB2_PATH=${A:6}

echo "Starting WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1
echo "Running Python Config Script"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/wsadmin.sh -f $THIS_SCRIPT_PATH/VBooking-WAS.py $HOST $DB2_PATH $NAME_QUEUE_MANAGER $PORT_QUEUE_MANAGER $CHANNEL_QUEUE_WEBAPP $USERNAME_DB2_VBOOKING $PASSWORD_DB2_VBOOKING $SCHEMA_DB2_VBOOKING $FREQUENT_FLYER_URL $AVAILABLE_SEATS_URL $CONFIGURE_CICS_INTERFACE $GATEWAY_SERVER_NAME $GATEWAY_URL $PROGRAM_NAME $SCRIPT_ROOT_PATH $CICSTG_JAR_LOCATION $PATH_WAS_HOME $NAME_WAS_INSTANCE
echo "Stopping WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/stopServer.sh server1
echo "Starting WAS Server"
$PATH_WAS_HOME/profiles/$NAME_WAS_INSTANCE/bin/startServer.sh server1
echo "WAS configured!"
