@echo off
rem
rem # Setup a queue manager, channel, and queues for Vacation Booking
rem
echo Configuring WebSphere MQ...
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"
echo Creating Queue Manager, channel and queues

call Utils.bat readConf PATH_MQ_BINARY
call Utils.bat readConf NAME_QUEUE_MANAGER
call Utils.bat readConf PORT_QUEUE_MANAGER
call Utils.bat readConf CHANNEL_QUEUE_WEBAPP
call Utils.bat readConf MQ_ADMIN_USER

"%PATH_MQ_BINARY%"\crtmqm -q -u SYSTEM.DEAD.LETTER.QUEUE %NAME_QUEUE_MANAGER%
"%PATH_MQ_BINARY%"\strmqm
(
echo	ALTER QMGR CHLAUTH^(DISABLED^)
echo	DEFINE LISTENER^('%NAME_QUEUE_MANAGER%'^) TRPTYPE^(TCP^) PORT^(%PORT_QUEUE_MANAGER%^) CONTROL^(QMGR^)
echo	START LISTENER^('%NAME_QUEUE_MANAGER%'^)
echo	DEFINE CHANNEL^('%CHANNEL_QUEUE_WEBAPP%'^) CHLTYPE^(SVRCONN^) MCAUSER^('%MQ_ADMIN_USER%'^) TRPTYPE^(TCP^) LIKE^(SYSTEM.DEF.SVRCONN^)
echo	DEFINE QLOCAL^('vbooking.booking'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.booking.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.booking.ff.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.reservations'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.reservations.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.checkin'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.checkin.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.global'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.global.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.multinational'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.multinational.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.worldwide'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.payment.worldwide.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.passengers'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.passengers.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.prices'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.prices.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.reservations'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.lists.reservations.reply'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('vbooking.test'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	DEFINE QLOCAL^('queue.orders'^) LIKE^(SYSTEM.DEFAULT.LOCAL.QUEUE^)
echo	ALTER AUTHINFO^(SYSTEM.DEFAULT.AUTHINFO.IDPWOS^) AUTHTYPE^(IDPWOS^) CHCKCLNT^(NONE^)
echo	REFRESH SECURITY TYPE^(CONNAUTH^)
) > MQCommands.txt
"%PATH_MQ_BINARY%"\runmqsc < MQCommands.txt
rem set QM to auto startup
"%PATH_MQ_BINARY%"\amqmdain auto QM_vbooking
echo "Note: If you are running Websphere MQ version lower than 8.0 then you might see that 2 commands have syntax error. This is working as intended."
echo "WebSphere MQ configured!"
