#!/bin/bash
#
# Install Vacation Booking schemas and copybook
#

echo "Installing Vacation Booking schemas and copybook..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Copying Vacation Booking schemas and copybook"
if [ "$SCHEMAS_INSTALL_PATH" == "/opt/vbooking/schemas" ]; then
	if [ ! -d "/opt/vbooking" ]; then
		mkdir /opt/vbooking
		chmod 755 /opt/vbooking
	fi
	if [ ! -d "/opt/vbooking/schemas" ]; then
		mkdir /opt/vbooking/schemas
		chmod 755 /opt/vbooking/schemas
	fi
fi

if [ ! -d "$SCHEMAS_INSTALL_PATH/XSDs" ]; then
	mkdir $SCHEMAS_INSTALL_PATH/XSDs
	chmod 755 $SCHEMAS_INSTALL_PATH/XSDs
fi

if [ ! -d "$SCHEMAS_INSTALL_PATH/Copybook" ]; then
	mkdir $SCHEMAS_INSTALL_PATH/Copybook
	chmod 755 $SCHEMAS_INSTALL_PATH/Copybook
fi


if [ ! -d "$SCHEMAS_INSTALL_PATH/SchemaUpdates" ]; then
	mkdir $SCHEMAS_INSTALL_PATH/SchemaUpdates
	chmod 755 $SCHEMAS_INSTALL_PATH/SchemaUpdates
fi

cp $SCRIPT_ROOT_PATH/vbooking/schemas/XSD/* $SCHEMAS_INSTALL_PATH/XSDs/
cp $SCRIPT_ROOT_PATH/vbooking/schemas/Copybook/* $SCHEMAS_INSTALL_PATH/Copybook/

# MT: Moving updated schemas to separate folder - note that Payment.xsd must be in both places, so it's copied rather than moved
mv $SCHEMAS_INSTALL_PATH/XSDs/BookFlightRequestBAU.xsd $SCHEMAS_INSTALL_PATH/SchemaUpdates/BookFlightRequestFF.xsd
mv $SCHEMAS_INSTALL_PATH/XSDs/BookFlightResponseBAU.xsd $SCHEMAS_INSTALL_PATH/SchemaUpdates/BookFlightResponseFF.xsd
cp $SCHEMAS_INSTALL_PATH/XSDs/Payment.xsd $SCHEMAS_INSTALL_PATH/SchemaUpdates/Payment.xsd

echo "Vacation Booking XSDs and copybook installed"


