#!/bin/bash
#
# Install extra utility scripts
#

echo "Installing and configuring extra scripts..."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

echo "Copying Vacation Booking scripts"
if [ ! -d "/opt/vbooking" ]; then
	mkdir /opt/vbooking
	chmod 755 /opt/vbooking
fi
if [ ! -d "/opt/vbooking/scripts" ]; then
	mkdir /opt/vbooking/scripts
	chmod 755 /opt/vbooking/scripts
fi
if [ ! -d "/opt/vbooking/scripts/db2" ]; then
	mkdir /opt/vbooking/scripts/db2
	chmod 755 /opt/vbooking/scripts/db2
fi
if [ ! -d "/opt/vbooking/scripts/mq" ]; then
	mkdir /opt/vbooking/scripts/mq
	chmod 755 /opt/vbooking/scripts/mq
fi
if [ ! -d "/opt/vbooking/scripts/RIT-integration" ]; then
	mkdir /opt/vbooking/scripts/RIT-integration
	chmod 755 /opt/vbooking/scripts/RIT-integration
fi

cp $SCRIPT_ROOT_PATH/vbooking/scripts/db2/* /opt/vbooking/scripts/db2/
cp $SCRIPT_ROOT_PATH/vbooking/scripts/install/*.sql /opt/vbooking/scripts/db2/
cp $SCRIPT_ROOT_PATH/vbooking/scripts/mq/* /opt/vbooking/scripts/mq/
cp $SCRIPT_ROOT_PATH/vbooking/scripts/RIT-integration/* /opt/vbooking/scripts/RIT-integration/
cp $SCRIPT_ROOT_PATH/installer-variables-linux.conf /opt/vbooking/

sed -i.bak s/vbuser/$USERNAME_DB2_VBOOKING/g /opt/vbooking/scripts/db2/dbCreate.sh
sed -i.bak s/vbpassword/$PASSWORD_DB2_VBOOKING/g /opt/vbooking/scripts/db2/dbCreate.sh
sed -i.bak s/vbinstance/$USERNAME_DB2_INSTANCE/g /opt/vbooking/scripts/db2/dbCreate.sh
sed -i.bak s/vbschema/$SCHEMA_DB2_VBOOKING/g /opt/vbooking/scripts/db2/dbCreate.sh
sed -i.bak s/vbusergroup/$USERGROUP_DB2/g /opt/vbooking/scripts/db2/dbCreate.sh


sed -i.bak s/vbuser/$USERNAME_DB2_VBOOKING/g /opt/vbooking/scripts/db2/resetDB2.sh
sed -i.bak s/vbpassword/$PASSWORD_DB2_VBOOKING/g /opt/vbooking/scripts/db2/resetDB2.sh

chmod 755 /opt/vbooking/scripts/db2/*.sh
chmod 744 /opt/vbooking/scripts/db2/*.sql
chmod 755 /opt/vbooking/scripts/mq/*.sh
chmod 744 /opt/vbooking/scripts/mq/*.mqsc
chmod 755 /opt/vbooking/scripts/RIT-integration/*.sh

echo "Vacation Booking scripts installed"


