@echo off
rem
rem Setup Vacation Booking stand alone apps
rem

echo Installing and configuring Vacation Booking stand alone apps....
SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%

cd "%SCRIPT_PATH%"

REM Equivalent of Opts Folder
call Utils.bat readConf OPTS_FOLDER
cscript Utils.vbs CheckCreateFolder %OPTS_FOLDER%\fcs
cscript Utils.vbs UnzipIt "%CURRENT_PATH%\vbooking\standalone\FlightConfirmationServer.zip" %OPTS_FOLDER%\fcs
cscript Utils.vbs CheckCreateFolder %OPTS_FOLDER%\availableSeats
cscript Utils.vbs UnzipIt "%CURRENT_PATH%\vbooking\standalone\AvailableSeatsServer.zip" %OPTS_FOLDER%\availableSeats
cscript Utils.vbs CheckCreateFolder %OPTS_FOLDER%\currency
cscript Utils.vbs UnzipIt "%CURRENT_PATH%\vbooking\standalone\CurrencyServer.zip" %OPTS_FOLDER%\currency
cscript Utils.vbs CheckCreateFolder %OPTS_FOLDER%\hotelPayment
cscript Utils.vbs UnzipIt "%CURRENT_PATH%\vbooking\standalone\ActiveMQHotelPaymentServer.zip" %OPTS_FOLDER%\hotelPayment

echo Copying DB2 Drivers into Currency Server and Available Seats Server
call Utils.bat CheckSetDB2Path 
copy /y "%DB2_PATH%"\java\db2jcc4.jar "%OPTS_FOLDER%\availableSeats"
copy /y "%DB2_PATH%"\java\db2jcc4.jar "%OPTS_FOLDER%\currency"

echo Moving ActiveMQ jars to hotel payment server
call Utils.bat readConf ACTIVEMQ_PATH
call Utils.bat readConf ACTIVEMQ_ZIP_SUB_FOLDER
copy /y "%ACTIVEMQ_PATH%\%ACTIVEMQ_ZIP_SUB_FOLDER%\activemq-all-5.9.0.jar" "%OPTS_FOLDER%\hotelPayment"

echo Moving Websphere MQ jars to Flight Confirmation Server
call Utils.bat readConf PATH_WAS_HOME
copy /y "%PATH_WAS_HOME%"\installedConnectors\wmq.jmsra.rar\*.jar "%OPTS_FOLDER%\fcs"


echo Updating hotel payment processor backend properties file
call Utils.bat readConf HOTEL_PAYMENT_BACKEND_TECHNOLOGY
call Utils.bat readConf ACTIVEMQ_MESSAGE_TYPE
call Utils.bat readConf ACTIVEMQ_BROKER_URL
set backendServiceFolder=%OPTS_FOLDER%\hotelPayment
cscript Utils.vbs ReplaceToken "%backendServiceFolder%"\hotelPayment.properties HOTEL_PAYMENT_BACKEND_TECHNOLOGY= HOTEL_PAYMENT_BACKEND_TECHNOLOGY=%HOTEL_PAYMENT_BACKEND_TECHNOLOGY%
cscript Utils.vbs ReplaceToken "%backendServiceFolder%"\hotelPayment.properties ACTIVEMQ_MESSAGE_TYPE= ACTIVEMQ_MESSAGE_TYPE=%ACTIVEMQ_MESSAGE_TYPE%
cscript Utils.vbs ReplaceToken "%backendServiceFolder%"\hotelPayment.properties ACTIVEMQ_BROKER_URL= ACTIVEMQ_BROKER_URL=%ACTIVEMQ_BROKER_URL%

REM Replace vbuser and password
call Utils.bat readConf USERNAME_DB2_VBOOKING
call Utils.bat readConf PASSWORD_DB2_VBOOKING
cscript Utils.vbs ReplaceToken "%OPTS_FOLDER%"\availableSeats\AvailableSeatsServer.bat vbuser %USERNAME_DB2_VBOOKING%
cscript Utils.vbs ReplaceToken "%OPTS_FOLDER%"\availableSeats\AvailableSeatsServer.bat donottell %PASSWORD_DB2_VBOOKING%
cscript Utils.vbs ReplaceToken "%OPTS_FOLDER%"\currency\currency.bat vbuser %USERNAME_DB2_VBOOKING%
cscript Utils.vbs ReplaceToken "%OPTS_FOLDER%"\currency\currency.bat donottell %PASSWORD_DB2_VBOOKING%


echo Vacation Booking stand alone apps installed

