#!/bin/bash
#
# Setup VBooking stand alone apps
#

echo "Installing and configuring Vacation Booking stand alone apps...."
THIS_SCRIPT_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${THIS_SCRIPT_PATH}" )" && pwd )"
TEMP_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
SCRIPT_ROOT_PATH="$( cd "$( dirname "${TEMP_PATH}" )" && pwd )"
source $SCRIPT_ROOT_PATH/installer-variables-linux.conf

# Get DB@2 PATH to copy drivers
A=$(/usr/local/bin/db2ls -c | cut -d : -f 1)
DB2_PATH=${A:6}

echo "Copying Vacation Booking stand alone apps"
if [ ! -d "/opt/vbooking" ]; then
	mkdir /opt/vbooking
	chmod 755 /opt/vbooking
fi
if [ ! -d "/opt/vbooking/fcs" ]; then
	mkdir /opt/vbooking/fcs
	chmod 755 /opt/vbooking/fcs
fi
if [ ! -d "/opt/vbooking/availableSeats" ]; then
	mkdir /opt/vbooking/availableSeats
	chmod 755 /opt/vbooking/availableSeats
fi
if [ ! -d "/opt/vbooking/currency" ]; then
	mkdir /opt/vbooking/currency
	chmod 755 /opt/vbooking/currency
fi
if [ ! -d "/opt/vbooking/hotelPayment" ]; then
	mkdir /opt/vbooking/hotelPayment
	chmod 755 /opt/vbooking/hotelPayment
fi

unzip -o $SCRIPT_ROOT_PATH/vbooking/standalone/FlightConfirmationServer.zip -d /opt/vbooking/fcs
chmod 755 /opt/vbooking/fcs/FlightConfirmationServer.sh
cp $PATH_WAS_HOME/installedConnectors/wmq.jmsra.rar/*.jar /opt/vbooking/fcs

unzip -o $SCRIPT_ROOT_PATH/vbooking/standalone/AvailableSeatsServer.zip -d /opt/vbooking/availableSeats
sed -i.bak s/vbuser/$USERNAME_DB2_VBOOKING/g /opt/vbooking/availableSeats/availableSeatsServer.sh
sed -i.bak s/donottell/$PASSWORD_DB2_VBOOKING/g /opt/vbooking/availableSeats/availableSeatsServer.sh
chmod 755 /opt/vbooking/availableSeats/availableSeatsServer.sh
cp $DB2_PATH/java/db2jcc4.jar /opt/vbooking/availableSeats


unzip -o $SCRIPT_ROOT_PATH/vbooking/standalone/CurrencyServer.zip -d /opt/vbooking/currency
sed -i.bak s/vbuser/$USERNAME_DB2_VBOOKING/g /opt/vbooking/currency/currency.sh
sed -i.bak s/donottell/$PASSWORD_DB2_VBOOKING/g /opt/vbooking/currency/currency.sh
chmod 755 /opt/vbooking/currency/currency.sh
cp $DB2_PATH/java/db2jcc4.jar /opt/vbooking/currency

unzip -o $SCRIPT_ROOT_PATH/vbooking/standalone/ActiveMQHotelPaymentServer.zip -d /opt/vbooking/hotelPayment
chmod 755 /opt/vbooking/hotelPayment/hotelPaymentServer.sh
cp $ACTIVEMQ_PATH/activemq-all-5.9.0.jar /opt/vbooking/hotelPayment


echo "Updating hotel payment processor backend properties file"
BACKEND_PROPERTIES_FILE_PATH=/opt/vbooking/hotelPayment/hotelPayment.properties
sed -i.bak s@HOTEL_PAYMENT_BACKEND_TECHNOLOGY=@HOTEL_PAYMENT_BACKEND_TECHNOLOGY=$HOTEL_PAYMENT_BACKEND_TECHNOLOGY@g $BACKEND_PROPERTIES_FILE_PATH
sed -i.bak s@ACTIVEMQ_MESSAGE_TYPE=@ACTIVEMQ_MESSAGE_TYPE=$ACTIVEMQ_MESSAGE_TYPE@g $BACKEND_PROPERTIES_FILE_PATH
sed -i.bak s@ACTIVEMQ_BROKER_URL=@ACTIVEMQ_BROKER_URL=$ACTIVEMQ_BROKER_URL@g $BACKEND_PROPERTIES_FILE_PATH

echo "Setting up services"
chmod +x $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbcurrency
cp $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbcurrency /etc/init.d/
chkconfig --add vbcurrency
chkconfig vbcurrency on
service vbcurrency start

chmod +x $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbseats
cp $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbseats /etc/init.d/
chkconfig --add vbseats
chkconfig vbseats on
service vbseats start

chmod +x $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbpayment
cp $SCRIPT_ROOT_PATH/vbooking/scripts/services/vbpayment /etc/init.d/
chkconfig --add vbpayment
chkconfig vbpayment on
service vbpayment start

echo "Vacation Booking stand alone apps installed"

