@echo off

REM
REM Starts all standalones for VBooking
REM


SET SCRIPT_PATH=%~dp0
SET CURRENT_PATH=%cd%
cd "%SCRIPT_PATH%"
cd ../install
SET UTILS_PATH=%cd%

call Utils.bat readConf PATH_MQ_BINARY
call Utils.bat readConf NAME_QUEUE_MANAGER
call Utils.bat readConf PORT_QUEUE_MANAGER

call Utils.bat readConf ACTIVEMQ_PATH
call Utils.bat readConf ACTIVEMQ_ZIP_SUB_FOLDER

call Utils.bat readConf OPTS_FOLDER

call Utils.bat readConf TOMCAT_PATH
call Utils.bat readConf TOMCAT_ZIP_SUB_FOLDER





REM TODO - qm_vbooking

echo Checking of queue manager "%NAME_QUEUE_MANAGER%" is running...
dspmqcsv %NAME_QUEUE_MANAGER% >NUL
SET err=%errorlevel%

REM dspmqcsv returns with errorlevel 0 only if queue manager is running

if NOT %err% == 0 (
	echo Starting queue manager "%NAME_QUEUE_MANAGER%"
	strmqm %NAME_QUEUE_MANAGER%
	strmqcsv %NAME_QUEUE_MANAGER%
	runmqlsr -m %NAME_QUEUE_MANAGER% -t TCP -p %PORT_QUEUE_MANAGER%
) else (
	echo Queue manager "%NAME_QUEUE_MANAGER%" is already running...
)

REM TODO - activeMQ

IF EXIST %ACTIVEMQ_PATH%\%ACTIVEMQ_ZIP_SUB_FOLDER% (
	set mqFolder=%ACTIVEMQ_PATH%\%ACTIVEMQ_ZIP_SUB_FOLDER%
)

echo Starting ActiveMQ...

if Not Exist "%mqFolder%" (
	echo Unable to find ActiveMQ. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
) else (
	cd %mqFolder%/bin
	REM Need to find a way to check whether or not activemq is running already.
	call start activemq.bat
)

REM TODO - currency

if Not Exist "%OPTS_FOLDER%" (
	echo Unable to find Vbooking standalones. Check the path in the config file.
	cd %CURRENT_PATH%
	exit /b 1
)

cd %OPTS_FOLDER%

echo Starting currency server
cd currency
call start currency.bat

echo Starting payment server
cd ..\hotelPayment\
call start hotelPaymentServer.bat

echo Starting seats server
cd ..\availableSeats
call start availableSeatsServer.bat


echo Starting Tomcat
IF EXIST %TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER% (
	set tcFolder=%TOMCAT_PATH%\%TOMCAT_ZIP_SUB_FOLDER%
)

if Not Exist "%tcFolder%" (
	echo Unable to proceed without valid Tomcat installation.
	exit /b 1
)

cd %tcFolder%\bin

call startup.bat

cd %CURRENT_PATH%


